Subject: vd/* (was: Re: What's cooking in git.git (Aug 2022, #06; Wed, 17))

From: Victoria Dye <[email-masked]>
Date: Thu, 18 Aug 2022 11:12:00 -0700

Junio C Hamano wrote:
> * vd/scalar-enables-fsmonitor (2022-08-16) 5 commits
>  - scalar: update technical doc roadmap with FSMonitor support
>  - scalar unregister: stop FSMonitor daemon
>  - scalar: enable built-in FSMonitor on `register`
>  - scalar-[un]register: clearly indicate source of error
>  - scalar-unregister: handle error codes greater than 0
> 
>  "scalar" now enables built-in fsmonitor on enlisted repositories,
>  when able.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

This should probably be "Expecting a reroll."; I have a couple of changes to
make in response to [1] and [2] and will send the new version later today.

[1] https://lore.kernel.org/git/[email-masked]/
[2] https://lore.kernel.org/git/[email-masked]/

> * vd/scalar-generalize-diagnose (2022-08-12) 11 commits
>  - scalar: update technical doc roadmap
>  - scalar-diagnose: use 'git diagnose --mode=all'
>  - builtin/bugreport.c: create '--diagnose' option
>  - builtin/diagnose.c: add '--mode' option
>  - builtin/diagnose.c: create 'git diagnose' builtin
>  - diagnose.c: add option to configure archive contents
>  - scalar-diagnose: move functionality to common location
>  - scalar-diagnose: move 'get_disk_info()' to 'compat/'
>  - scalar-diagnose: add directory to archiver more gently
>  - scalar-diagnose: avoid 32-bit overflow of size_t
>  - scalar-diagnose: use "$GIT_UNZIP" in test
> 
>  The "diagnose" feature to create a zip archive for diagnostic
>  material has been lifted from "scalar" and made into a feature of
>  "git bugreport".
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

I think the review on this has stabilized (and, personally, I'm happy with
the current version). Assuming no late-stage reviews come in, I think this
is ready for 'next'.